<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.tuoheng.mapper.information.WorkorderMapper">

    <resultMap id="BaseResultMap" type="com.tuoheng.model.entity.Workorder">
            <id property="id" column="id" jdbcType="OTHER"/>
            <result property="code" column="code" jdbcType="VARCHAR"/>
            <result property="status" column="status" jdbcType="TINYINT"/>
            <result property="workCompleteTime" column="work_complete_time" jdbcType="TIMESTAMP"/>
            <result property="createUser" column="create_user" jdbcType="INTEGER"/>
            <result property="handledUser" column="handled_user" jdbcType="INTEGER"/>
            <result property="industry" column="industry" jdbcType="VARCHAR"/>
            <result property="clientId" column="client_id" jdbcType="VARCHAR"/>
            <result property="tenantUsername" column="tenant_username" jdbcType="VARCHAR"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="updateUser" column="update_user" jdbcType="INTEGER"/>
            <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
            <result property="mark" column="mark" jdbcType="TINYINT"/>
            <result property="handledUserName" column="handled_user_name" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,code,status,
        work_complete_time,create_user,handled_user,
        industry,client_id,tenant_username,
        create_time,update_user,update_time,
        mark,handled_user_name
    </sql>
</mapper>
